Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.util
Class StreamCharBuffer.AllocatedBuffer

    java.lang.Object
      org.codehaus.groovy.grails.web.util.StreamCharBuffer.AllocatedBuffer

Enclosing class:
  StreamCharBuffer

    final class StreamCharBuffer.AllocatedBuffer

extends Object

Constructor Summary
`StreamCharBuffer.AllocatedBuffer(int size)`

Method Summary
`int` | `charsUsed()`
`int` | `chunkSize()`
`StreamCharBuffer.CharBufferChunk` | `createChunk()` creates a new chunk from the content written to the buffer (used before adding StringChunk or StreamCharBufferChunk)
`boolean` | `hasChunk()`
`void` | `reuseBuffer()`
`int` | `spaceLeft()`
`boolean` | `write(char ch)`
`void` | `write(char[] ch, int off, int len)`
`void` | `writeString(String str, int off, int len)`
`void` | `writeStringBuffer(StringBuffer stringBuffer, int off, int len)`
`void` | `writeStringBuilder(StringBuilder stringBuilder, int off, int len)`
`void` | `writeTo(Writer target)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StreamCharBuffer.AllocatedBuffer

    public StreamCharBuffer.AllocatedBuffer(int size)

Method Detail

### charsUsed

    public int charsUsed()

### writeTo

    public void writeTo(Writer target)
                 throws IOException

  Throws:
    `IOException`

### reuseBuffer

    public void reuseBuffer()

### chunkSize

    public int chunkSize()

### spaceLeft

    public int spaceLeft()

### write

    public boolean write(char ch)

### write

    public final void write(char[] ch,
                            int off,
                            int len)

### writeString

    public final void writeString(String str,
                                  int off,
                                  int len)

### writeStringBuilder

    public final void writeStringBuilder(StringBuilder stringBuilder,
                                         int off,
                                         int len)

### writeStringBuffer

    public final void writeStringBuffer(StringBuffer stringBuffer,
                                        int off,
                                        int len)

### createChunk

    public StreamCharBuffer.CharBufferChunk createChunk()

  creates a new chunk from the content written to the buffer (used before adding StringChunk or StreamCharBufferChunk)

  Returns:

### hasChunk

    public boolean hasChunk()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD